=== debian/changelog ===
ros-indigo-map-organizer (0.3.1-0trusty) trusty; urgency=high

  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-indigo-map-organizer (0.2.3-0trusty) trusty; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-indigo-map-organizer (0.2.2-0trusty) trusty; urgency=high

  * Workaround for debian stretch build problem (#199 <https://github.com/at-wat/neonavigation/issues/199>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-indigo-map-organizer (0.2.1-0trusty) trusty; urgency=high

  * Compile with PCL_NO_PRECOMPILE (#195 <https://github.com/at-wat/neonavigation/issues/195>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-indigo-map-organizer (0.2.0-0trusty) trusty; urgency=high

  * Fix build on Indigo (#180 <https://github.com/at-wat/neonavigation/issues/180>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * map_organizer: fix naming style. (#84 <https://github.com/at-wat/neonavigation/issues/84>)
  * Fix find_package(Eigen3). (#83 <https://github.com/at-wat/neonavigation/issues/83>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * map_organizer: extract maps by rate based thresholds. (#65 <https://github.com/at-wat/neonavigation/issues/65>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * map_organizer: pointcloud_to_maps: makes parameters configurable. (#40 <https://github.com/at-wat/neonavigation/issues/40>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * Subtree-merge 'map_organizer' package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000
